from footswitch import Footswitch
from playsound import playsound
import time

footsie = Footswitch()
ts = -1

while True:
    state = footsie.hid_waitbutton()
    if state == True:
        print("Pressed")
        ts = time.time()
    elif state == False:
        if ts != -1:
            duration = time.time() - ts
            # only accept events if the button is not accidentially pressed 
            # or the press is "cancelled" (by pressing it > 1s)
            print("Released after %f s" % duration)
            if duration > 0.1 and duration < 1:
                playsound('rising1.wav', False)
                # do something
            elif duration >= 1:
                print("-> Event cancelled")
                playsound('falling1.wav', False)
